# IOT数据现状

## 1.静态非IOT数据接口

[BDTP-数据服务](http://39.102.54.110:9009/)

## 2.BDTP-数据服务（物理世界）与IOT数据如何关联？

BDTP-数据服务中的对象数据如下：

```
{
    "id": "Eq32060500018c5dd28e0fb1470db61ed3de66a580c2",
    "classCode": "WSDWPP",
    "projectId": "Pj3206050001",
    "grouping": 1,
    "objType": "equipment",
    "valid": 1,
    "name": "生活给水水泵-VJEY2",
    "localId": "Pump02",
    "localName": "2号生活给水水泵",
    "createTime": 1630928465000,
    "createApp": "datacenter",
    "updateTime": 1631066318000,
    "updateApp": "datacenter",
    "virtualInfoCodes": [],
    "modeControl": "1",
    "bimId": "Pj32060500017f8cd1a80eb411ec986e1f9988da50f8F6:1264008",
    "bimLocation": "-107816.2,-61683.94,22758.0",
    "runStatus": "2004-907",
    "pipePressure": "2004-904",
    "pumpTemperature": "2004-903",
    "faultStatus": "2004-906"
}
```

其中下面四个信息点（对象属性）是动态信息点，其他信息点是静态信息点；

动态信息点，需要根据一个唯一标识去IOT服务获取数据，目前使用的唯一标识是表号-功能，同一个项目下，表号-功能号是唯一 的，所有动态信息点中保存的数据格式是表号-功能号。

```
"runStatus": "2004-907",
"pipePressure": "2004-904",
"pumpTemperature": "2004-903",
"faultStatus": "2004-906"
```

目前，物联网、工业互联网、车联网等智能互联技术在各个行业场景下快速普及应用，导致联网传感器、智能设备数量急剧增加，随之而来的海量时序监控数据存储、处理问题，也为时序数据库高效压缩、存储数据能力、查询分析提出了更高的要求。

#### 时序数据（Time Series）

时序数据指数据元组根据时间戳（ti）升序排列的数据集合，可以被划分为：

1、单变量时序（Univariate Time Series，UTS）：每次采集的数据元组集合为单个实数变量。

2、多变量时序（Multivariate Time Series ，MTS）：每次采集的数据元组集合由多个实数序列组成，每个组成部分对映时序一个特征。

用数学范式表达时序可以被定义为：

![640](640.jpg)

示例：

| ...  | time                | data    | ...  |
| ---- | ------------------- | ------- | ---- |
| ...  | 2000­10­10 00:10:03 | 1005.00 | ...  |
| ...  | 2000­10­10 00:10:21 | 1100.00 | ...  |
| ..   | 2000­10­10 00:11:16 | 1192.00 | ..   |

#### 建筑IOT数据存储

| 项目id(projectId) | 表号（meter） | 功能号（funcid） | 采集时间（receiveTime） | 数据值（data） | 是否高频（gaopin） |
| ----------------- | ------------- | ---------------- | ----------------------- | -------------- | ------------------ |
| 1101020001        | 67C8081       | 11101            | 20210601150948          | 23.9           | TRUE               |
| 1101020001        | 67C8081       | 11201            | 20210601150948          | 26.6           | FALSE              |
| 1101070037        | 1001          | 11               | 20010203040506          | 3.1            | FALSE              |

